Subject: bug#30900: 26.0.91; auth-source-pass-enable results in customization type mismatch for auth-sources

From: Ted Zlatanov <[email-masked]>
Date: Mon, 02 Apr 2018 08:56:39 -0400

On Fri, 23 Mar 2018 09:39:25 +0100 Damien Cassou <[email-masked]> wrote: 

DC> Eli Zaretskii <[email-masked]> writes:
>>> > Using the new (26.0.91) auth-source-pass-enable function modifies the
>>> > auth-sources variable to something isn't specified in :type, resulting
>>> > in a type mismatch when looking at the customize-variable buffer for
>>> > auth-sources.
>>> 
>>> Presumably this auth-sources setting also doesn't work in the next Emacs
>>> instance, unless one manually loads the auth-source-pass library?

DC> I think we should sync with Ted, in CC, so that auth-sources
DC> customization type allows external providers. What do you think Ted?

IIUC, we have external providers for the auth-source backends but the
customization types of `auth-sources' are not extensible by the
providers.

I can think of two approaches. We can either allow a typeless
configuration (in addition to the built-ins) to make it easier to
customize any way the user wants, or we can make the :type extensible.
I'm not sure if there's a standard way of doing this in Emacs but if
there is, I'd use it. If not, the typeless approach is probably easier
to support and less surprising.

Ted